---
updatedAt: 2026-05-04T19:18:29.000Z
agentTools:
  siteIndex: https://developers.pismo.io/llms.txt
  projectIndex: https://developers.pismo.io/pismo-docs/llms.txt
---

# List account scheduled transfers

Retrieve an account's scheduled transfers.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Instant payments - Pix payments",
    "description": "API to handle Pix transactions",
    "contact": {
      "name": "API Support",
      "url": "https://developers.pismo.io/support/"
    },
    "license": {
      "name": "Copyright Pismo"
    },
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://sandbox-cdn.pismolabs.io",
      "description": "Sandbox API server for testing"
    },
    {
      "url": "https://sandbox-cdn.pismolabs.io/inst-pull-pay",
      "description": "Sandbox API server for testing instant pull pay."
    }
  ],
  "tags": [
    {
      "name": "Scheduled transfers"
    }
  ],
  "components": {
    "parameters": {
      "AccountIDpath": {
        "name": "account_id",
        "in": "path",
        "schema": {
          "type": "integer"
        },
        "description": "Pismo account ID.",
        "required": true,
        "example": 5869300
      },
      "AuthHeader": {
        "in": "header",
        "name": "Authorization",
        "required": true,
        "description": "Account token - an access token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a <b>401 Unauthorized</b> message.",
        "schema": {
          "type": "string",
          "example": "Bearer eyJhbGci...IUzUx"
        }
      },
      "lastEvaluatedCreationDatetimeQuery": {
        "name": "lastEvaluatedCreationDatetime",
        "in": "query",
        "description": "This is the `last_evaluated_creation_datetime` field in the returned result and is used to get the next page of results in a subsequent request.\nRFC 3339 format. For example -  \"2023-04-12T23:20:50.52Z\". ",
        "schema": {
          "type": "string"
        }
      },
      "PerPageQuery": {
        "name": "perPage",
        "in": "query",
        "description": "Per page amount (min=1, max=100). Default is `20`.",
        "required": true,
        "schema": {
          "type": "string"
        }
      },
      "ScheduleBeginDatetimeQuery": {
        "name": "scheduleBeginDatetime",
        "in": "query",
        "description": "Schedule datetime begin filter. RFC 3339 value, for example: `2023-04-12T23:20:50.52Z`. \n",
        "schema": {
          "type": "string"
        }
      },
      "ScheduleEndDatetimeQuery": {
        "name": "scheduleEndDatetime",
        "in": "query",
        "description": "Schedule datetime end filter. RFC 3339 value, for example: `2023-04-12T23:20:50.52Z`. \n",
        "schema": {
          "type": "string"
        }
      },
      "ScheduleCreationBeginDatetimeQuery": {
        "name": "scheduleCreationBeginDatetime",
        "in": "query",
        "description": "Schedule creation datetime begin filter. RFC 3339 value, for example: `2023-04-12T23:20:50.52Z`. \n",
        "schema": {
          "type": "string"
        }
      },
      "ScheduleCreationEndDatetimeQuery": {
        "name": "scheduleCreationEndDatetime",
        "in": "query",
        "description": "Schedule creation datetime end filter. RFC 3339 value, for example: `2023-04-12T23:20:50.52Z`. \n",
        "schema": {
          "type": "string"
        }
      },
      "ScheduleIdQuery": {
        "name": "schedulerId",
        "in": "query",
        "description": "Schedule ID filter",
        "required": false,
        "schema": {
          "type": "string",
          "maxLength": 36
        },
        "example": "8675309"
      }
    },
    "schemas": {
      "Amount": {
        "type": "number",
        "description": "Amount to be transferred.",
        "example": 1050.44
      },
      "customer.DetailMessage": {
        "type": "object",
        "properties": {
          "external": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ExternalMessage"
            }
          },
          "parameters": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.ParameterMessage"
            }
          },
          "payload": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/customer.PayloadMessage"
            }
          }
        }
      },
      "customer.Error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error's code.",
            "example": "EPT0001"
          },
          "details": {
            "$ref": "#/components/schemas/customer.DetailMessage"
          },
          "message": {
            "type": "string",
            "description": "Error's message.",
            "example": "User not found"
          }
        }
      },
      "customer.ExternalMessage": {
        "type": "object",
        "required": [
          "code",
          "message"
        ],
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code.",
            "example": "PBE315"
          },
          "message": {
            "type": "string",
            "description": "Error message.",
            "example": "Generic error"
          }
        }
      },
      "customer.ParameterMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Parameter field",
            "example": "Query parameter"
          },
          "message": {
            "type": "string",
            "description": "Message about parameter",
            "example": "Generic error"
          }
        }
      },
      "customer.PayloadMessage": {
        "type": "object",
        "required": [
          "field",
          "message"
        ],
        "properties": {
          "field": {
            "type": "string",
            "description": "Payload parameter",
            "example": "Entity.field"
          },
          "message": {
            "type": "string",
            "description": "Message about error",
            "example": "Generic error"
          }
        }
      },
      "DocumentNumber": {
        "type": "string",
        "description": "A government document number, such as a Social Security number (US) or Cadastro de Pessoas Físicas number (Brazil). Must be numeric with 11-14 digits.\n",
        "minLength": 1,
        "maxLength": 14,
        "example": "123412341234"
      },
      "EndToEndID": {
        "type": "string",
        "description": "This field is a Brazil Central Bank (BCB) requirement to track all steps of Pix transactions. \nBasically, there are two steps to a Pix transaction:\n    1. Initialize a transaction \n    2. Confirm a transaction\nThe `end_to_end_id` is sent to the BCB in both steps in order to identify all transaction information. \n",
        "example": "E3030629420200808195101608910248"
      },
      "Internal": {
        "type": "boolean",
        "description": "Was transaction made between a Pismo organization's accounts? In this case, the instant payment system is not called.",
        "example": false
      },
      "ISPB": {
        "type": "string",
        "description": "<a href=\"https://bank.codes/numero-do-banco/bank/banco-central-do-brasil/\" target=\"_blank\">ISPB (Identifcador do Sistema de Pagamento Brazil)</a> - the Brazilian Payment System ID, an 8-digit value.",
        "maxLength": 8,
        "example": "60701190"
      },
      "Name": {
        "type": "string",
        "description": "Name",
        "maxLength": 200,
        "example": "Walter Melon"
      },
      "PerPage": {
        "type": "integer",
        "description": "Max number of items per page.",
        "example": 10
      },
      "pix.SchedulesFindResponse": {
        "required": [
          "per_page",
          "total_items"
        ],
        "type": "object",
        "properties": {
          "items": {
            "description": "Page list of items.",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/pix.SimpleScheduledTransfer"
            }
          },
          "last_evaluated_creation_datetime": {
            "type": "string",
            "description": "Last evaluated creation date time. Used to fetch the next page of results.\n\nRFC 3339 value, i.e., \"2023-04-12T23:20:50.52Z\". \n"
          },
          "per_page": {
            "$ref": "#/components/schemas/PerPage"
          },
          "total_items": {
            "$ref": "#/components/schemas/TotalItems"
          }
        }
      },
      "pix.SimpleScheduledTransfer": {
        "required": [
          "amount",
          "payee",
          "schedule_creation_datetime",
          "schedule_datetime",
          "schedule_id",
          "status"
        ],
        "type": "object",
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/Amount"
          },
          "cancel_datetime": {
            "description": "Scheduled transfer cancellation datetime. RFC 3339 value, i.e., \"2023-04-12T23:20:50.52Z\".",
            "type": "string",
            "example": "2020-08-13T13:49:03.000Z"
          },
          "end_to_end_id": {
            "$ref": "#/components/schemas/EndToEndID"
          },
          "internal": {
            "$ref": "#/components/schemas/Internal"
          },
          "payee": {
            "type": "object",
            "description": "Payee's information.",
            "required": [
              "document_number",
              "ispb",
              "name"
            ],
            "properties": {
              "document_number": {
                "$ref": "#/components/schemas/DocumentNumber"
              },
              "ispb": {
                "$ref": "#/components/schemas/ISPB"
              },
              "name": {
                "$ref": "#/components/schemas/Name"
              }
            }
          },
          "schedule_creation_datetime": {
            "$ref": "#/components/schemas/ScheduleCreationDatetime"
          },
          "schedule_datetime": {
            "$ref": "#/components/schemas/ScheduleDatetime"
          },
          "schedule_id": {
            "$ref": "#/components/schemas/SchedulerID"
          },
          "status": {
            "$ref": "#/components/schemas/TransferStatus"
          }
        }
      },
      "ScheduleCreationDatetime": {
        "type": "string",
        "description": "Scheduled transfer creation datetime. RFC 3339 value, i.e., \"2023-04-12T23:20:50.52Z\".",
        "example": "2020-08-13T13:49:03.000Z"
      },
      "ScheduleDatetime": {
        "type": "string",
        "description": "Date to schedule the process. RFC 3339 value, i.e., \"2023-04-12T23:20:50.52Z\".",
        "example": "2020-08-13T13:49:03.000Z"
      },
      "SchedulerID": {
        "type": "string",
        "description": "Scheduled PIX transaction ID",
        "example": "7b29a055-00e1-41e5-b880-aebe517b3bf6"
      },
      "TotalItems": {
        "type": "integer",
        "description": "Total number of items",
        "example": 1000
      },
      "TransferStatus": {
        "type": "string",
        "description": "Scheduled transfer status.",
        "example": "SCHEDULED",
        "enum": [
          "SCHEDULED",
          "CANCELLED",
          "SETTLED",
          "FAILED"
        ]
      }
    }
  },
  "paths": {
    "/pix/v1/pix/out/accounts/{account_id}/schedules": {
      "get": {
        "tags": [
          "Scheduled transfers"
        ],
        "summary": "List account scheduled transfers",
        "description": "Retrieve an account's scheduled transfers.",
        "operationId": "get-schedules",
        "parameters": [
          {
            "$ref": "#/components/parameters/AuthHeader"
          },
          {
            "$ref": "#/components/parameters/AccountIDpath"
          },
          {
            "$ref": "#/components/parameters/PerPageQuery"
          },
          {
            "$ref": "#/components/parameters/lastEvaluatedCreationDatetimeQuery"
          },
          {
            "$ref": "#/components/parameters/ScheduleIdQuery"
          },
          {
            "$ref": "#/components/parameters/ScheduleCreationBeginDatetimeQuery"
          },
          {
            "$ref": "#/components/parameters/ScheduleCreationEndDatetimeQuery"
          },
          {
            "$ref": "#/components/parameters/ScheduleBeginDatetimeQuery"
          },
          {
            "$ref": "#/components/parameters/ScheduleEndDatetimeQuery"
          }
        ],
        "responses": {
          "200": {
            "description": "Response Body",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/pix.SchedulesFindResponse"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0100": {
                    "summary": "Invalid account id in parameter",
                    "value": {
                      "code": "EPIX0100",
                      "message": "Invalid account id in parameter"
                    }
                  },
                  "EPIX0061": {
                    "summary": "Invalid value for query param",
                    "value": {
                      "code": "EPIX0061",
                      "message": "Invalid value for query param"
                    }
                  },
                  "EPIX0103": {
                    "summary": "Invalid value for datetime query parameter. RFC3339 format must be used",
                    "value": {
                      "code": "EPIX0103",
                      "message": "Invalid value for datetime query parameter. RFC3339 format must be used"
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0009": {
                    "summary": "Missing required header: \"x-tenant\"",
                    "value": {
                      "code": "EPIX0009",
                      "message": "Missing required header: \"x-tenant\""
                    }
                  },
                  "EPIX0010": {
                    "summary": "Invalid account id header: \"x-account-id\"",
                    "value": {
                      "code": "EPIX0010",
                      "message": "Invalid account id header: \"x-account-id\""
                    }
                  },
                  "EPIX0102": {
                    "summary": "Entity\"s account id does not match x-account-id header",
                    "value": {
                      "code": "EPIX0102",
                      "message": "Entity\"s account id does not match x-account-id header"
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0101": {
                    "summary": "Pix Schedule - Error scheduled transfers not found",
                    "value": {
                      "code": "EPIX0101",
                      "message": "Pix Schedule - Error scheduled transfers not found"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "headers": {
              "x-cid": {
                "description": "Request tracking ID.",
                "schema": {
                  "type": "string"
                }
              }
            },
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/customer.Error"
                },
                "examples": {
                  "EPIX0004": {
                    "summary": "Internal server error",
                    "value": {
                      "code": "EPIX0004",
                      "message": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```